
From: Adrian Bunk <bunk@stusta.de>

This patch makes two needlessly global variables static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/io_apic.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/io_apic.c~i386-io_apicc-make-two-variables-static arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~i386-io_apicc-make-two-variables-static	Fri Feb 11 16:08:40 2005
+++ 25-akpm/arch/i386/kernel/io_apic.c	Fri Feb 11 16:08:40 2005
@@ -264,7 +264,7 @@ cpumask_t __cacheline_aligned pending_ir
 static int irqbalance_disabled = IRQBALANCE_CHECK_ARCH;
 static int physical_balance = 0;
 
-struct irq_cpu_info {
+static struct irq_cpu_info {
 	unsigned long * last_irq;
 	unsigned long * irq_delta;
 	unsigned long irq;
@@ -286,7 +286,7 @@ struct irq_cpu_info {
 #define BALANCED_IRQ_MORE_DELTA		(HZ/10)
 #define BALANCED_IRQ_LESS_DELTA		(HZ)
 
-long balanced_irq_interval = MAX_BALANCED_IRQ_INTERVAL;
+static long balanced_irq_interval = MAX_BALANCED_IRQ_INTERVAL;
 
 static unsigned long move(int curr_cpu, cpumask_t allowed_mask,
 			unsigned long now, int direction)
_
